# Verify IUC

## Verify IUC

<mark style="color:blue;">`GET`</mark> `{{base_url}}/verifycable`

Cable Tv Type : GOTV, STARTIMES, DSTV

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| authorization<mark style="color:red;">\*</mark> | String | Set value to `Bearer PUBLIC_KEY` |

#### Request Body

| Name                                   | Type   | Description                  |
| -------------------------------------- | ------ | ---------------------------- |
| iuc<mark style="color:red;">\*</mark>  | String | Decoder number               |
| type<mark style="color:red;">\*</mark> | String | Cable Tv type as shown above |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "status": true,
    "iuc": "2021866824",
    "details": {
        "status": "ACTIVE",
        "custno": 250269344,
        "custname": "ADEKUNLE",
        "dueDate": "2022-02-14T00:00:00+01:00"
    },
    "msg": "verified"
}
```

{% endtab %}
{% endtabs %}

Take a look at how you might do this:

{% tabs %}
{% tab title="cURL" %}

```php
curl --location --request GET 'https://api.oneappgo.com/v1/verifycable?type=GOTV&iuc=250269344' \
--header 'Authorization: Bearer PUBLIC_KEY'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': 'https://api.oneappgo.com/v1/verifycable?type=GOTV&iuc=250269344',
  'headers': {
    'Authorization': 'Bearer PUBLIC_KEY'
  },
  formData: {

  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.oneappgo.com/v1/verifycable?type=GOTV&iuc=250269344',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer PUBLIC_KEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.oneappgo.com/v1/verifycable?type=GOTV&iuc=250269344"

payload={}
files={}
headers = {
  'Authorization': 'Bearer PUBLIC_KEY'
}

response = requests.request("GET", url, headers=headers, data=payload, files=files)

print(response.text)

```

{% endtab %}

{% tab title="Dart" %}

```dart
var headers = {
  'Authorization': 'Bearer PUBLIC_KEY'
};
var request = http.MultipartRequest('GET', Uri.parse('https://api.oneappgo.com/v1/verifycable?type=GOTV&iuc=250269344'));

request.headers.addAll(headers);

http.StreamedResponse response = await request.send();

if (response.statusCode == 200) {
  print(await response.stream.bytesToString());
}
else {
  print(response.reasonPhrase);
}

```

{% endtab %}
{% endtabs %}

### Sample Response

```json
{
    "status": true,
    "iuc": "2021866824",
    "details": {
        "status": "ACTIVE",
        "custno": 250269344,
        "custname": "ADEKUNLE",
        "dueDate": "2022-02-14T00:00:00+01:00"
    },
    "msg": "verified"
}
```
